[**packwizjs**](../../../README.md)

***

[packwizjs](../../../modules.md) / [enums/hash-format](../README.md) / isValidHashFormat

# Function: isValidHashFormat()

> **isValidHashFormat**(`hashFormat`): [`HashFormat`](../enumerations/HashFormat.md)

Defined in: enums/hash-format.ts:17

Checks if the provided hash format is allowed by Packwiz.

## Parameters

### hashFormat

`string`

The hash format to check.

## Returns

[`HashFormat`](../enumerations/HashFormat.md)

The HashFormat enum value if valid, otherwise throws an error.
